Page MenuHomePhabricator

Allow Bryan Davis to downtime alerts in Icinga
Closed, ResolvedPublic0 Estimated Story Points

Description

Quick task following up an IRC conversation, it seems like @bd808 doesn't have permissions to downtime services while he does have the permissions to do action triggering monitoring (eg. service restart).

This led to an attempt at fixing a cloudvirt host over the weekend paging SRE.

Not sure what the best plan of action is, but opening this for discussion.

Event Timeline

ayounsi created this task.Apr 13 2019, 6:44 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 13 2019, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krenair updated the task description. (Show Details)Apr 13 2019, 6:49 PM
ArielGlenn renamed this task from Allow WMCS to downtime alerts in Icinga to Allow Bryan Davis to downtime alerts in Icinga.Apr 13 2019, 6:50 PM
ArielGlenn updated the task description. (Show Details)
Zppix added a subscriber: Zppix.Apr 13 2019, 6:51 PM

Shouldnt really require discussion on if he should be granted the rights imho

Dzahn claimed this task.Apr 15 2019, 3:18 PM
Dzahn added a comment.Apr 15 2019, 5:23 PM

summons wikibugs

@bd808 could you give an example host and/or service in Icinga where it doesn't let you schedule downtime?

There are 2 ways to do this. either with global permissions for all hosts and services via editing the cgi.cfg file in the puppet repo, or by ensuring that the user is a contact for the hosts and services in question. If a user is a contact for a service/host then they automatically should also have these permissions for "their" services.

Was it really on the same host or service where one command worked but the other didn't? Or was it on 2 different things. If the latter then it's probably about being contact for it.

@bd808 could you give an example host and/or service in Icinga where it doesn't let you schedule downtime?

I don't know that icinga lets me downtime any host. cloudvirt* would be the type that this ticket was filed in response to. After talking with my team I think we decided that I should not reboot any more hosts since I don't have mgmt console access. It would be nice to be able to silence alerts though on {cloud,lab}* infrastructure.

Change 504482 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] icinga: let BryanDavis issue commands on all hosts and services

https://gerrit.wikimedia.org/r/504482

Change 504482 merged by Dzahn:
[operations/puppet@production] icinga: let BryanDavis issue commands on all hosts and services

https://gerrit.wikimedia.org/r/504482

Dzahn added a comment.Apr 17 2019, 9:16 PM

@bd808 Since the merge above you should now be able to schedule any host for downtime, be it wmcs or not.

Dzahn reassigned this task from Dzahn to bd808.EditedApr 17 2019, 9:17 PM
Dzahn added a subscriber: Dzahn.

Wanna try with something random to schedule a short downtime? (hold on a few minutes though. puppet still running)

herron closed this task as Resolved.Apr 23 2019, 4:17 PM
herron added a subscriber: herron.

Looks like this is complete, but if any follow up is needed please don't hesitate to re-open!